Bug 245100 - net/cloud-init: drop support for python 2.7
Summary: net/cloud-init: drop support for python 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-27 12:41 UTC by Andrey Fesenko
Modified: 2020-03-28 14:54 UTC (History)
1 user (show)

See Also:


Attachments
drop support for python 2.7 (552 bytes, patch)
2020-03-27 12:41 UTC, Andrey Fesenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Fesenko 2020-03-27 12:41:23 UTC
Created attachment 212753 [details]
drop support for python 2.7

cloud-init 19.4 was the last version of cloud-init to support Python 2 https://github.com/canonical/cloud-init/pull/175

testport: OK (poudriere: 113amd64, 120amd64, 120i386, 13amd64 tested)
Comment 1 Automation User 2020-03-27 12:58:22 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/130363700
Comment 2 commit-hook freebsd_committer 2020-03-28 14:54:22 UTC
A commit references this bug:

Author: mandree
Date: Sat Mar 28 14:53:45 UTC 2020
New revision: 529735
URL: https://svnweb.freebsd.org/changeset/ports/529735

Log:
  net/cloud-init: require Python 3.6+

  The upstream code no longer works with Python 2.x, so require 3.6+.

  PR:		245100
  Submitted by:	Andrey Fesenko (maintainer)

Changes:
  head/net/cloud-init/Makefile